import { __decorate, __metadata } from "tslib";
import { h, Host } from "@stencil/core";
import { Logger } from "../../../utils/log";
import { BEM } from "../../../utils/bem";
export class NavLinkGrid {
    createLogger(log) {
        this.log = log;
    }
    /**
     * RENDER
     * ------------------------------------------------------
     */
    render() {
        const block = BEM.block('nav-link-grid');
        return (h(Host, { key: '7e58a9b6c677d60837d56404af5f6b03a7d96073', class: Object.assign({}, block.class()) }, h("slot", { key: '4e7abb8d92056b3f99b42ebad4c1d7752cffca4e' })));
    }
    static get is() { return "bal-nav-link-grid"; }
    static get originalStyleUrls() {
        return {
            "$": ["bal-nav-link-grid.sass"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["bal-nav-link-grid.css"]
        };
    }
}
__decorate([
    Logger('bal-nav-link-grid'),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Function]),
    __metadata("design:returntype", void 0)
], NavLinkGrid.prototype, "createLogger", null);
